# Attachments Use attachments in Zuora to upload documents of various formats to associate additional information with accounts, subscriptions, invoices, credit memos, or debit memos. Example attachments could be purchase orders (PO's), tax exemption document, or ownership transfer forms. For more information about attachments, see Attachments. ## Create an attachment - [POST /v1/attachments](https://developer.zuora.com/v1-api-reference/api/attachments/post_attachments.md): Use the Add Attachment REST request with a multipart/form-data to attach a document file to an Account, a Subscription, an Invoice, a Credit Memo, or a Debit Memo. You can only use this operation if you have a Billing role that includes the Manage Attachments permission. For more information, see Billing roles. To change your Billing role, contact your Zuora platform administrator. Note: The Credit and Debit Memos feature is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. ## Delete an attachment - [DELETE /v1/attachments/{attachment-id}](https://developer.zuora.com/v1-api-reference/api/attachments/delete_attachments.md): Use the Delete Attachment REST request to delete an attachment from a Zuora object. You can only use this operation if you have a Billing role that includes the Manage Attachments permission and the Delete Attachments permission. For more information, see Billing roles. To change your Billing role, contact your Zuora platform administrator. ## Retrieve an attachment - [GET /v1/attachments/{attachment-id}](https://developer.zuora.com/v1-api-reference/api/attachments/get_attachments.md): Use the View Attachment REST request to retrieve information about an attachment document. You can only use this operation if you have a Billing role that includes the Manage Attachments permission. For more information, see Billing roles. To change your Billing role, contact your Zuora platform administrator. ## Update an attachment - [PUT /v1/attachments/{attachment-id}](https://developer.zuora.com/v1-api-reference/api/attachments/put_attachments.md): Use the Edit Attachment REST request to make changes to the descriptive fields of an attachment, such as the description and the file name. You cannot change the actual content of the attached file in Zuora. If you need to change the actual content, you need to delete the attachment and add the updated file as a new attachment. You can only use this operation if you have a Billing role that includes the Manage Attachments permission. For more information, see Billing roles. To change your Billing role, contact your Zuora platform administrator. ## List attachments by object type and key - [GET /v1/attachments/{object-type}/{object-key}](https://developer.zuora.com/v1-api-reference/api/attachments/get_attachmentslist.md): Use the View Attachment REST request to get a list of attachments on an account, an invoice, a subscription, a credit memo, or a debit memo. You can only use this operation if you have a Billing role that includes the Manage Attachments permission. For more information, see Billing roles. To change your Billing role, contact your Zuora platform administrator. Note: The Credit and Debit Memos feature is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information.